|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QLinearGradient Class Reference

The QLinearGradient class is used in combination with QBrush to specify a linear gradient brush. More...

    #include <QLinearGradient>

Part of the QtGui module.

Inherits QGradient.

- List of all members, including inherited members

### Public Functions

- QLinearGradient ( const QPointF & start, const QPointF & finalStop )
- QLinearGradient ( qreal xStart, qreal yStart, qreal xFinalStop, qreal yFinalStop )
- QPointF finalStop () const
- QPointF start () const

- 6 public functions inherited from QGradient

## Detailed Description

The QLinearGradient class is used in combination with QBrush to specify a linear gradient brush.

See also QBrush.

## Member Function Documentation

### QLinearGradient::QLinearGradient ( const QPointF & start, const QPointF & finalStop )

Constructs a linear gradient with interpolation area between start and finalStop. The positions start and finalStop are specified using logical coordinates.

### QLinearGradient::QLinearGradient ( qreal xStart, qreal yStart, qreal xFinalStop, qreal yFinalStop )

Constructs a linear gradient with interpolation area between xStart, yStart and xFinalStop, yFinalStop. The positions are specified using logical coordinates.

### QPointF QLinearGradient::finalStop () const

Returns the final stop point of this linear gradient in logical coordinates.

### QPointF QLinearGradient::start () const

Returns the start point of this linear gradient in logical coordinates.